CVE-2018-12371

NameCVE-2018-12371
DescriptionAn integer overflow vulnerability in the Skia library when allocating memory for edge builders on some systems with at least 16 GB of RAM. This results in the use of uninitialized memory, resulting in a potentially exploitable crash. This vulnerability affects Firefox ESR < 60.1, Thunderbird < 60, and Firefox < 61.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1575-1, DSA-4295-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid83.0-1fixed
thunderbird (PTS)stretch1:68.10.0-1~deb9u1fixed
stretch (security)1:78.5.0-1~deb9u1fixed
buster1:68.12.0-1~deb10u1fixed
buster (security)1:78.5.0-1~deb10u1fixed
bullseye1:78.5.0-1fixed
sid1:78.5.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)61.0-1
thunderbirdsourcejessie1:60.3.0-1~deb8u1DLA-1575-1
thunderbirdsourcestretch1:60.0-3~deb9u1DSA-4295-1
thunderbirdsource(unstable)1:60.0-1

Notes

https://www.mozilla.org/en-US/security/advisories/mfsa2018-15/#CVE-2018-12371
https://www.mozilla.org/en-US/security/advisories/mfsa2018-19/#CVE-2018-12371

Search for package or bug name: Reporting problems